## doxysphinx 3.3.12

=== Makefile ===
## =====================================================================================
##  C O P Y R I G H T
## -------------------------------------------------------------------------------------
##  Copyright (c) 2023 by Robert Bosch GmbH. All rights reserved.
##
##  Author(s):
##  - Markus Braun, :em engineering methods AG (contracted by Robert Bosch GmbH)
## =====================================================================================

# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINX_OPTS     =
BUILD_DIR       = .build
DOCS_SOURCE_DIR = .

.PHONY: help clean html doxygen doxysphinx sphinx

help:
	@echo "Please use make <target> where <target> is one of"
	@echo "  sphinx      to run sphinx."
	@echo "  doxygen     to run doxygen."
	@echo "  doxysphinx  to run doxysphinx."
	@echo "  html        to run everything in correct order to generate the documentation."
	@echo "  clean       to clean up everything"

clean:
	@poetry run doxysphinx --verbosity=DEBUG clean $(DOCS_SOURCE_DIR) $(BUILD_DIR)/html demo/demo.doxyfile
# cannot use rm here because it's not portable (win/linux)
	@poetry run python -c 'exec("import shutil\nimport glob\n\nfor result in glob.glob(\"docs/doxygen/demo/*\"): shutil.rmtree(result)")'
	@poetry run python -c 'exec("import shutil\nimport glob\n\nfor result in glob.glob(\"docs/doxygen/graphviz/*\"): shutil.rmtree(result)")'
	@poetry run python -c 'exec("import shutil\nimport glob\n\nfor result in glob.glob(\".build/*\"): shutil.rmtree(result)")'


# targets for demo project
doxygen_demo:
	@doxygen demo/demo.doxyfile

doxysphinx_demo:
	@poetry run doxysphinx --verbosity=DEBUG build $(DOCS_SOURCE_DIR) $(BUILD_DIR)/html demo/demo.doxyfile

doxysphinx_demo_with_dir:
	@poetry run doxysphinx --verbosity=DEBUG build $(DOCS_SOURCE_DIR) $(BUILD_DIR)/html docs/doxygen/demo/html

# targets for graphviz project
# -> ATTENTION: Before you can use them you have to download graphviz (see ./demo/load_additional_demos.sh)
doxygen_graphviz:
	@cd demo/graphviz; doxygen Doxyfile.in

doxysphinx_graphviz:
	@mkdir -p docs/doxygen/graphviz
	@cp -R demo/graphviz/doxygen/html docs/doxygen/graphviz
	@poetry run doxysphinx --verbosity=DEBUG build $(DOCS_SOURCE_DIR) $(BUILD_DIR)/html docs/doxygen/graphviz/html

# sphinx
sphinx:
	@poetry run sphinx-build -M html "$(DOCS_SOURCE_DIR)" "$(BUILD_DIR)" '--keep-going' '-j' 'auto' $(SPHINX_OPTS)

# for profiling...
profile: clean doxygen_demo
	@poetry run python -m cProfile -o .doxysphinx.prof doxysphinx/cli.py --verbosity=DEBUG build $(DOCS_SOURCE_DIR) $(BUILD_DIR) demo/demo.doxyfile
	@poetry run snakeviz .doxysphinx.prof
	@rm .doxysphinx.prof

# some aliases
doxygen: doxygen_demo

doxysphinx: doxysphinx_demo

html: doxygen doxysphinx sphinx
	@echo ""
	@echo "Build finished. The Documentation is in $(BUILD_DIR)/html."

=== debian/changelog ===
doxysphinx (3.3.12-6) unstable; urgency=medium

  * Remove patch disabling sphinx-needs
  * Adding dependancy on python3-sphinx-needs

 -- Christian Bayle <bayle@debian.org>  Thu, 15 May 2025 00:24:18 +0200

doxysphinx (3.3.12-4) unstable; urgency=medium

  * Fix missing json5 and mpire dependencies (Closes: #1103546)
  * Mark some patch as not needed

 -- Christian Bayle <bayle@debian.org>  Sun, 27 Apr 2025 14:43:01 +0200

doxysphinx (3.3.12-3) unstable; urgency=medium

  * Use pybuild autopkgtest

 -- Christian Bayle <bayle@debian.org>  Mon, 14 Apr 2025 14:50:10 +0200

doxysphinx (3.3.12-2) unstable; urgency=medium

  * Remove unreproducible meta tag

 -- Christian Bayle <bayle@debian.org>  Mon, 14 Apr 2025 13:47:55 +0200

doxysphinx (3.3.12-1) unstable; urgency=medium

  * Set dependancy on python3-sphinxcontrib.doxylink version
  * Source upload and release
  * Add dependancy on python3-matplotlib, python3-sphinx
  * Fix available extensions in conf.py

 -- Christian Bayle <bayle@debian.org>  Sat, 12 Apr 2025 23:05:14 +0200

doxysphinx (3.3.12-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #1099948)

 -- Christian Bayle <bayle@debian.org>  Thu, 13 Mar 2025 22:17:13 +0100

=== debian/control ===
Source: doxysphinx
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Christian Bayle <bayle@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-sphinxdoc,
 dh-sequence-python3,
 node-fortawesome-fontawesome-free,
 python3-setuptools,
 python3-all,
 pybuild-plugin-pyproject,
 python3-poetry,
 python3-poetry-core,
 python3-pytest-cov,
 python3-pytest-emoji,
 python3-sphinxcontrib.plantuml,
 python3-sphinx-autoapi,
 python3-myst-parser,
 python3-sphinx-copybutton,
 python3-sphinxcontrib.doxylink (>=1.13),
 python3-sphinx-design,
 python3-sphinx-book-theme (>=1.1.4),
 python3-matplotlib,
 python3-sphinx,
 python3-sphinx-needs,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.0
Homepage: https://github.com/boschglobal/doxysphinx
Vcs-Browser: https://salsa.debian.org/python-team/packages/doxysphinx
Vcs-Git: https://salsa.debian.org/python-team/packages/doxysphinx.git

Package: python3-doxysphinx
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 python3-json5,
 python3-mpire,
Suggests:
 python-doxysphinx-doc,
Description: Lightweight Doxygen extension for Sphinx
 Doxysphinx is a Doxygen and Sphinx integration tool.
 .
 It is an easy-to-use cli tool and typically runs right after Doxygen
 generation. It reuses the Doxygen generated HTML output and integrates it into
 Sphinx document generation. With this, Doxysphinx supports all known Doxygen
 features and at the same time integrates well with the Sphinx output (for
 example, Sphinx-Themes, search etc.). Doxysphinx, also supports restructured
 text (rST) annotations within C++ files.
 .
 Internally, Doxysphinx creates an rST file for each (Doxygen) HTML file and
 includes the HTML using .. raw:: html directive. Later Sphinx picks up these
 rST files and creates an integrated documentation.
 .
 This package installs the library for Python 3.

Package: python-doxysphinx-doc
Section: doc
Architecture: all
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Description: Lightweight Doxygen extension for Sphinx (doc)
 Doxysphinx is a Doxygen and Sphinx integration tool.
 .
 It is an easy-to-use cli tool and typically runs right after Doxygen
 generation. It reuses the Doxygen generated HTML output and integrates it into
 Sphinx document generation. With this, Doxysphinx supports all known Doxygen
 features and at the same time integrates well with the Sphinx output (for
 example, Sphinx-Themes, search etc.). Doxysphinx, also supports restructured
 text (rST) annotations within C++ files.
 .
 Internally, Doxysphinx creates an rST file for each (Doxygen) HTML file and
 includes the HTML using .. raw:: html directive. Later Sphinx picks up these
 rST files and creates an integrated documentation.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=doxysphinx

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	PYTHONPATH=. python3 -m sphinx -N -bhtml \
	./ build/html # HTML generator
	PYTHONPATH=. python3 -m sphinx -N -bman \
	./ build/man # Manpage generator

override_dh_clean:
	dh_clean
	-rm -rf docs/auto_api/

=== debian/watch ===
version=4
opts="pgpmode=none, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/boschglobal/doxysphinx/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
